%define scl rh-python36
%{?scl:%scl_package %{name}}
%{!?scl:%global pkg_name %{name}}

%define name cliff
%define version 2.14.1
%define unmangled_version 2.14.1
%define unmangled_version 2.14.1
%define release 1

Summary: Command Line Interface Formulation Framework
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}
Name: %{?scl_prefix}cliff
Version: %{version}
Release: %{release}
Source0: cliff-%{unmangled_version}.tar.gz
License: UNKNOWN
Group: Development/Libraries
BuildRoot: %{_tmppath}/cliff-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: OpenStack <openstack-dev@lists.openstack.org>
Packager: Martin Juhl <m@rtinjuhl.dk>
Url: https://docs.openstack.org/cliff/latest/


%description
========================
Team and repository tags
========================

.. image:: https://governance.openstack.org/tc/badges/cliff.svg
    :target: https://governance.openstack.org/tc/reference/tags/index.html

.. Change things from this point on

=======================================================
 cliff -- Command Line Interface Formulation Framework
=======================================================

cliff is a framework for building command line programs. It uses
`setuptools entry points`_ to provide subcommands, output formatters, and
other extensions.

.. _setuptools entry points: http://setuptools.readthedocs.io/en/latest/pkg_resources.html#convenience-api

* Free software: Apache license
* Documentation: https://docs.openstack.org/cliff/latest/
* Source: https://git.openstack.org/cgit/openstack/cliff
* Bugs: https://bugs.launchpad.net/python-cliff




%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%setup -n cliff-%{unmangled_version} -n cliff-%{unmangled_version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%{?scl:EOF}


%clean
%{?scl:scl enable %{scl} - << \EOF}
set -ex
rm -rf $RPM_BUILD_ROOT
%{?scl:EOF}


%files -f INSTALLED_FILES
%defattr(-,root,root)
